Imports System.Windows.Media
Imports System.Windows.Media.Animation

Public Class messagetile

    Private player37 As New MediaPlayer()

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("https://excel.cloud.microsoft/")

    End Sub

    Private Sub PlayAccentSound()
        Try
            player37.Volume = 1.0
            player37.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player37.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            msgback.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try



        Dim msgtiletimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler msgtiletimer.Tick, AddressOf msgtiletimer_Tick
        msgtiletimer.Interval = New TimeSpan(0, 0, 1)
        msgtiletimer.Start()
    End Sub

    Private Sub msgtiletimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            msgback.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub
End Class
